Linux-specific helpers(3)

NAME
Linux-specific helpers -

  Functions
int hwloc_linux_parse_cpumap_file (FILE *file, hwloc_cpuset_t set)
int hwloc_linux_set_tid_cpubind (hwloc_topology_t topology, pid_t tid, hwloc_const_cpuset_t set)
int hwloc_linux_get_tid_cpubind (hwloc_topology_t topology, pid_t tid, hwloc_cpuset_t set)

Detailed Description

This includes helpers for manipulating Linux kernel cpumap files, and hwloc equivalents of the Linux sched_setaffinity and sched_getaffinity system calls.

Function Documentation

  int hwloc_linux_get_tid_cpubind (hwloc_topology_ttopology, pid_ttid, hwloc_cpuset_tset)

Get the current binding of thread tid. The behavior is exactly the same as the Linux sched_getaffinity system call, but uses a hwloc cpuset.

  int hwloc_linux_parse_cpumap_file (FILE *file, hwloc_cpuset_tset)

Convert a linux kernel cpumap file file into hwloc CPU set. Might be used when reading CPU set from sysfs attributes such as topology and caches for processors, or local_cpus for devices.

  int hwloc_linux_set_tid_cpubind (hwloc_topology_ttopology, pid_ttid, hwloc_const_cpuset_tset)

Bind a thread tid on cpus given in cpuset set. The behavior is exactly the same as the Linux sched_setaffinity system call, but uses a hwloc cpuset.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.